//
//  Controller.h
//  YKExplorer
//
//  Created by KOYAMA Yoshiaki on Thu Dec 25 2003.
//  Copyright (c) 2003 KOYAMA Yoshiaki. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Controller : NSObject {
	IBOutlet id _outlineView;
	IBOutlet id _document;
	IBOutlet id _tableView;
	IBOutlet id _dataSource;
	IBOutlet id _window;
	IBOutlet id _label;
	IBOutlet id _tabView;
	IBOutlet id _textView;
	IBOutlet id _popUp;
	IBOutlet id _labelText;
	IBOutlet id _deletePanel;
	IBOutlet id _deleteText;
	IBOutlet id _deleteOK;
	IBOutlet id _deleteCancel;	

	NSString *_srcPath;
}

- (void)initializeToolbar;
- (void)openFile:(id)sender;
- (void)openFolder:(id)sender;
- (void)copyPasteboard:(id)sender;
- (void)cutFile:(id)sender;
- (void)copyFile:(id)sender;
- (void)trashFile:(id)sender;
- (void)viewFile:(id)sender;
- (IBAction)selectPopUp:(id)sender;
- (IBAction)deleteTrash:(id)sender;
- (void)sheetDidEnd:(NSWindow *)sheet 
            returnCode:(int)returnCode
            contextInfo:(void *)contextInfo;
- (IBAction)deleteExec:(id)sender;
- (IBAction)cancel:(id)sender;

@end
