#import <Cocoa/Cocoa.h>

@interface DataSource : NSObject
{
	IBOutlet id _document;
	IBOutlet id _outlineView;
	IBOutlet id _tableView;
	IBOutlet id _imageView;
	IBOutlet id _textField;
	IBOutlet id _window;
	
	NSMutableArray *_array;
	NSString *_outlineViewPath;
}

- (void)setPathTableView:(NSString *)fullPath;
- (void)openDoubleFile:(id)sender;
- (NSMutableArray *)tableViewArray;
- (NSString *)outlineViewPath;

@end

extern BOOL checkBundle(NSString *name);
